﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AddNamedItem
{
    /// <summary>
    /// This is a sample implementation of my class.
    /// </summary>
    public class MyClass
    {
        private string _firstName;
        private string _lastName;
        private double _salesTax;

        public MyClass()
        {
            this._firstName = string.Empty;
            this._lastName = string.Empty;
        }

        /// <summary>
        /// Get/Set for First Name
        /// </summary>
        public string FirstName
        {
            get
            {
                return this._firstName;
            }
            set
            {
                this._firstName = value;
            }
        }

        /// <summary>
        /// Get/Set for Last Name
        /// </summary>
        public string LastName
        {
            get
            {
                return this._lastName;
            }
            set
            {
                this._lastName = value;
            }
        }

        /// <summary>
        /// We will call Display method of this class in report's script.        
        /// </summary>
        /// <returns></returns>
        public string Display()
        {
            return string.Format("Created By {0} {1} \r\nFirst Name and Last Name are assigned using AdddNamedItem for MyClass. \r\nSee Display() method of MyClass in the AddNamedItem project.", this._firstName, this._lastName);
        }

        /// <summary>
        /// Returns the full name as Firstname + space + Lastname
        /// </summary>
        /// <returns></returns>
        public string GetFullName()
        {
            return this._firstName + " " + this._lastName;
        }

        /// <summary>
        /// Gets/ Sets the value os sales tax to be used in computing orders total for the data bound report.
        /// </summary>
        public double SalesTax
        {
            get
            {
                return this._salesTax;
            }
            set
            {
                this._salesTax = value;
            }
        }
    }
}
