﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyClassLibrary
{
    /// <summary>
    /// This is a sample implementation of my a class that will be part of an external library.
    /// This class is compiled as MyClassLibrary and is refernced into the main project.
    /// </summary>
    public class MyExternalClass
    {
        private string _firstName;
        private string _lastName;
        private double _salesTax;

        public MyExternalClass()
        {
            this._firstName = string.Empty;
            this._lastName = string.Empty;
        }

        /// <summary>
        /// Get/Set for First Name
        /// </summary>
        public string FirstName
        {
            get
            {
                return this._firstName;
            }
            set
            {
                this._firstName = value;
            }
        }

        /// <summary>
        /// Get/Set for Last Name
        /// </summary>
        public string LastName
        {
            get
            {
                return this._lastName;
            }
            set
            {
                this._lastName = value;
            }
        }

        /// <summary>
        /// We will call Display method of this class in report's script.        
        /// </summary>
        /// <returns></returns>
        public string Display()
        {
            return string.Format("First Name: {0} and Last Name: {1} is assigned using AdddNamedItem for MyExternalClass. \r\nSee Display() method of MyExternalClass in the MyClassLibrary project.", this._firstName, this._lastName);
        }

        /// <summary>
        /// Returns the full name as Firstname + space + Lastname
        /// </summary>
        /// <returns></returns>
        public string GetFullName()
        {
            return this._firstName + " " + this._lastName;
        }

        /// <summary>
        /// Gets/ Sets the value os sales tax to be used in computing orders total for the data bound report.
        /// </summary>
        public double SalesTax
        {
            get
            {
                return this._salesTax;
            }
            set
            {
                this._salesTax = value;
            }
        }
    }
}
